summaryrefslogtreecommitdiffstats
path: root/system/podman/podman.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/podman/podman.SlackBuild')
-rw-r--r--system/podman/podman.SlackBuild23
1 files changed, 6 insertions, 17 deletions
diff --git a/system/podman/podman.SlackBuild b/system/podman/podman.SlackBuild
index 6e073391b8..7c9769985b 100644
--- a/system/podman/podman.SlackBuild
+++ b/system/podman/podman.SlackBuild
@@ -27,8 +27,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=podman
REPONAME=libpod
-VERSION=${VERSION:-1.6.2}
-GIT_COMMIT="f3ffda1e08f19e9a6a88484136b5eed76533f21a"
+VERSION=${VERSION:-4.7.2}
+GIT_COMMIT="750b4c3a7c31f6573350f0b3f1b787f26e0fe1e3"
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -46,9 +46,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -58,14 +55,11 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
else
- LIBDIRSUFFIX=""
+ echo "This script is only available for x86_64"
+ exit 1
fi
set -e
@@ -76,7 +70,7 @@ cd $TMP
rm -rf $REPONAME-$VERSION
mkdir -p $REPONAME-$VERSION/src/$DOMAIN/$ORG
cd $REPONAME-$VERSION/src/$DOMAIN/$ORG
-tar xvf $CWD/$REPONAME-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
mv $PRGNAM-$VERSION $REPONAME
cd $REPONAME
chown -R root:root .
@@ -110,11 +104,6 @@ cat $CWD/doinst.sh > $PKG/install/doinst.sh
mkdir -p $PKG/etc/containers/secrets
-# use upstream's default seccomp policy
-cp seccomp.json $PKG/etc/containers/seccomp.json.new
-# use upstream config, but default to cgroupfs
-cat libpod.conf | sed 's/^cgroup_manager = "systemd"/cgroup_manager = "cgroupfs"/g' > $PKG/etc/containers/libpod.conf.new
-
cp $CWD/registries.conf $PKG/etc/containers/registries.conf.new
cp $CWD/mounts.conf $PKG/etc/containers/mounts.conf.new
cp $CWD/policy.json $PKG/etc/containers/policy.json.new